Frage von FlorianDS95, 59

Fehler bei Installation von MYSql, wie beheben?

Hallo,

wollte gerade versuchen, auf meinem Server (Ubuntu 14.40) MYSql zu installieren, bekomme aber diverse Fehler, habe schon diverse Sachen in Stackoverflow ausprobiert, um das zu fixen, aber hilft alles nichts, unter anderem folgende Anleitung:

$ sudo apt-get --yes autoremove --purge mysql-server-5.5

$ sudo apt-get --yes autoremove --purge mysql-client-5.5

$ sudo apt-get --yes autoremove --purge mysql-common

$ sudo rm -rf /var/lib/mysql /etc/mysql ~/.mysql

$ sudo deluser mysql

$ sudo apt-get autoclean

$ sudo apt-get update && sudo apt-get upgrade

$ sudo apt-get install mysql-server-5.5 mysql-client-5.5

Bekomme aber immer noch den gleichen Fehler, der folgendermaßen aussieht:

ATTENTION: An error has occured. More info is in the syslog! /var/lib/dpkg/info/mysql-server-5.5.postinst: line 236: logger: command not found dpkg: error processing package mysql-server-5.5 (--configure): subprocess installed post-installation script returned error exit status 127 Errors were encountered while processing: mysql-server-5.5 E: Sub-process /usr/bin/dpkg returned an error code (1)

Hoffe mir kann jemand weiterhelfen.

Antwort
von Thomasg, 32

Da scheinten die Abhängigkeiten für das mysql paket nicht zu stimmen. Installier mal das Paket logger. 

Antwort
von TheQ86, 43

Kann dir keiner genau sagen. Du musst im syslog nachsehen.

tail /var/log/syslog
Expertenantwort
von LemyDanger57, Community-Experte für Ubuntu, 30

Und warum installierst Du "mysql" nicht über das Software Center oder Synaptic? Dabei werden alle notwendigen Abhängigkeiten aufgelöst.

Hier eine Anleitung: https://wiki.ubuntuusers.de/MySQL/

Welche Pakete zu mysql 5.5 gehören, kannst du hier nachsehen: http://packages.ubuntu.com/de/precise/mysql-server-5.5

Kommentar von Thomasg ,

Apt-get löst Abhängigkeiten normalerweise auch auf. Und wenn man einen Server betreibt hat man in der Regel auch keine grafische Oberfläche und kann die genannten Tools eh nicht nutzen. 

Kommentar von LemyDanger57 ,

Insbesondere bei Synaptic wird aber genau angezeigt, welche Pakete noch benötigt werden, und man wird gefragt, ob man sie installieren will bzw. erhäl einen Hinweis, wenn sie nicht heruntergeladen und installiert werden können.

Dem steht aber die erwähnte Tatsache, dass es sich um einen Server hanelt, entgegen, was ich schlicht nicht beachtet habe, mein Fehler. Abgesehen davon könnte man natürlich auch auf einem Server eine GUI installieren.

Trotzdem könnten aber die Links hilfreich sein.

Antwort
von RakonDark, 42

ich kann dir da helfen via teamviewer .

übrigens solltest du wenn schon denn schon

apt-get purge mysql* 

nehmen

und dann würde ich aptitude nehmen für dem mysql install


Keine passende Antwort gefunden?

Fragen Sie die Community

Weitere Fragen mit Antworten